package ru.waptaxi.wtwebclient.jettyserv.vaadin.testfocus.gridline;

import com.vaadin.ui.ComboBox;
import ru.waptaxi.wtwebclient.jettyserv.vaadin.testfocus.TestFocusGrid;

public class GridLine {


    private CityComboBoxT cityComboBoxT;
    private StreetComboBoxT streetComboBoxT;
    private TestFocusGrid parentFocusGrid;


    public GridLine(TestFocusGrid parentFocusGrid) {
        this.parentFocusGrid = parentFocusGrid;

        // CITY
        cityComboBoxT = new CityComboBoxT(this);
        // STREET
        streetComboBoxT = new StreetComboBoxT(this);

    }


    public ComboBox getCityComboBoxComponent() {
        return cityComboBoxT.getComboBox();
    }

    public ComboBox getStreetComboBoxComponent() {
        return streetComboBoxT.getComboBox();
    }

    public CityComboBoxT getCityComboBoxT() {
        return cityComboBoxT;
    }

    public StreetComboBoxT getStreetComboBoxT() {
        return streetComboBoxT;
    }

    public TestFocusGrid getParentFocusGrid() {
        return parentFocusGrid;
    }
}
